Summary: Mate user file sharing
Name:    mate-user-share
Version: 1.6.0
Release: 3%{?dist}
License: GPLv2+
Group:   System Environment/Libraries
URL:     http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz

BuildRequires: gtk2-devel
BuildRequires: httpd  mod_dnssd
BuildRequires: mate-bluetooth-devel
BuildRequires: libcanberra-devel
BuildRequires: desktop-file-utils
BuildRequires: mate-doc-utils
BuildRequires: libselinux-devel
BuildRequires: dbus-glib-devel
BuildRequires: libnotify-devel
BuildRequires: mate-file-manager-devel
BuildRequires: unique-devel
BuildRequires: perl(XML::Parser)
BuildRequires: mate-common

Requires: httpd
Requires: obex-data-server
Requires: mod_dnssd
Requires: hicolor-icon-theme

%description
mate-user-share is a small package that binds together various free
software projects to bring easy to use user-level file sharing to the
masses.

The program is meant to run in the background when the user is logged
in, and when file sharing is enabled a webdav server is started that
shares the $HOME/Public folder. The share is then published to all
computers on the local network using mDNS/rendezvous, so that it shows
up in the Network location in MATE.

The program also allows to share files using ObexFTP over Bluetooth.

%prep
%setup -q
# nedded to create missing configure and make files
NOCONFIGURE=1 ./autogen.sh

%build
%configure \
    --disable-scrollkeeper \
    --disable-static

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

rm -f $RPM_BUILD_ROOT%{_libdir}/caja/extensions-2.0/*.la

# no need to provide a convert file for mateconf user settings,
# because Mate started with gsettings in f17/18
rm -f $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/mate-user-share.convert

%find_lang %{name}

desktop-file-validate ${RPM_BUILD_ROOT}/%{_datadir}/applications/mate-user-share-properties.desktop
desktop-file-validate ${RPM_BUILD_ROOT}/%{_sysconfdir}/xdg/autostart/mate-user-share.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
if [ $1 -eq 0 ]; then
  /bin/touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor >&/dev/null || :
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor >&/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%doc README COPYING NEWS
%{_bindir}/mate-file-share-properties
%{_libexecdir}/mate-user-share
%{_datadir}/mate-user-share/
%{_datadir}/applications/mate-user-share-properties.desktop
%{_sysconfdir}/xdg/autostart/mate-user-share.desktop
%{_datadir}/icons/hicolor/*/apps/mate-obex-server.png
%{_libdir}/caja/extensions-2.0/*.so
%{_datadir}/glib-2.0/schemas/org.mate.FileSharing.gschema.xml


%changelog
* Mon May 20 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-3
- remove %%check
- add a comment for usage of autogen.sh

* Sat May 11 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-2
- remove gsettings.convert file
- add requires high-color-icon-theme
- add desktop file check for mate-user-share.desktop

* Wed Apr 03 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-1
- update to 1.6.0
- remove upstreamed desktop file fix
- switch to libnotify as BR

* Thu Mar 21 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.5.0-2
- initial build for fedora

* Thu Sep 27 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.5.0-1
- build against official fedora Mate-Desktop

* Sun Sep 16 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.1-0101
- fix desktop files

* Sun Sep 02 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.1-0100
- improve spec file
- security update

* Fri Jul 20 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.1-1
- remove mate-user-share_fix_rpm-scriplet-output.patch, it's upstreamed

* Thu Jul 19 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-1
- initial package
- spec file is based on gnome-user-share-2.30.2-4.fc15 spec file
- add mate-user-share_fix_rpm-scriplet-output.patch
